Nowe zabezpieczenia w iOS 4.2.1 - sprawdzanie zgodności basebandu

Strona głównaNowe zabezpieczenia w iOS 4.2.1 - sprawdzanie zgodności basebandu
24.11.2010 15:04
d
d
Krystian Bezdzietny
Krystian Bezdzietny

Apple po raz kolejny pokazuje swoim użytkownikom, że lubi ich gonić, ale nie łapać. Tym razem objawia się to nowym zabezpieczeniem wprowadzonym w iOS 4.2.1, które sprawdza wersję basebandu przed wgraniem oprogramowania. Koniec z wgrywaniem starszych wersji iOS na pokłady iPhone'ów?

Po wnikliwej analizie iOS 4.2.1 odkryto, że omawiane zabezpieczenie na razie dotyczy tylko iPhone'a 4, lecz w przyszłości może się ono znaleźć również na innych urządzeniach. Jak działa? Zanim wgramy starszą wersję oprogramowania niż ta, z której aktualnie korzystamy, gdy iTunes wykryje niewłaściwą dla tej wersji iOS wersję basebandu, pozostawi urządzenie w trybie Recovery, uniemożliwiając dalszego przeprowadzania downgrade;u.

I nie pomoże tutaj korzystanie z takich programów jak TinyUmbrella. Konieczne będzie wgranie tej wersji iOS, z której korzystaliśmy przed próbą zmiany firmware na starsze.

Oczywiste jest, że i na to hackerzy znajdą odpowiednie rozwiązanie, jednak po co się bawić z użytkownikami w takie cyrki? Powrót do wcześniej wersji iOS powinien być normalnym zjawiskiem, a nie negowanym przez Apple'a.

Źródło: Redmond Pie

Oceń jakość naszego artykułuTwoja opinia pozwala nam tworzyć lepsze treści.
Udostępnij:
Wybrane dla Ciebie
Komentarze (0)